Subject: [bug#77601] [PATCH v2 1/2] gnu: font-fira-sans: Update to 4.301-1.f54eeb3

From: Hilton Chain <[email-masked]>
Date: Sat, 10 May 2025 15:05:44 +0800

Ludovic Courtès <[email-masked]> writes:

> Hi,
>
> Hilton Chain <[email-masked]> writes:
>
>> Ludovic Courtès <[email-masked]> writes:
>>
>>> Hi,
>>>
>>> Kurome <[email-masked]> writes:
>>>
>>>> The former comment mentioned that this is the final version including the
>>>> source code.  However, many fonts included in Guix do not come with source
>>>> code, so I believe this is acceptable.
>>>
>>> Yeah, that’s right, although it’s still a bummer to lower our standards.
>>>
>>> I think we have no clear guideline to follow.  The package is still free
>>> (under SIL OFL), and the FSDG is very lax on “non-functional data”
>>> anyway.
>>
>> Quoting FSDG, fonts are clearly defined as functional:
>> --8<---------------cut here---------------start------------->8---
>> “Information for practical use” includes software, documentation, fonts,
>> and other data that has direct functional applications.
>> --8<---------------cut here---------------end--------------->8---
>>
>> I posted the issue on guix-devel [1].  I think we can remove fonts that
>> are not possible to be built from source first, and change remaining
>> ones to build from source gradually.
>>
>> ---
>> [1]: https://lists.gnu.org/archive/html/guix-devel/2025-04/msg00085.html
>
> Interesting.  I think FSDG is (again) ambiguous because non-functional
> data is described as:
>
>   Data that isn't functional, that doesn't do a practical job, is more
>   of an adornment to the system's software than a part of it.
>
> The Fira font is more of an adornment; one doesn’t have to use it, it’s
> just something that one may find pretty.
>
> It’s also unclear to me what the “preferred form for modification” is
> for fonts.  As discussed in the thread above, in some cases it might
> well be OTF, while in other cases there’s a known source form that is
> not OTF.
>
> So perhaps this needs to be addressed on a case-by-case basis?

Hmmmmm, if upstream only distributes SIL OFL licensed artifacts, without
mentioning the build process, how would we decide if it's the preferred
form for modification?

Anyway, we can identify fonts that can be built from source first.